## bc 1.03-10

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for GNU bc and dc.	-*- Indented-Text -*-
# Copyright (C) 1993, 1994 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Generated automatically from Makefile.in by configure.

#### Start of system configuration section. ####

srcdir = .

prefix = 
exec_prefix = ${prefix}

bindir = $(exec_prefix)/bin
datadir = $(prefix)/lib
libdir = $(prefix)/lib
infodir = $(prefix)/info

# Where to install the manual pages.
mandir = $(prefix)/man/man1
# Extension (not including `.') for the installed manual page filenames.
manext = 1

#
# This is the name of the library file, if needed.  This definition should
# not be deleted.
#
LIBFILE = $(libdir)/libmath.b

#
# Programs definitions for use by make.
#

SHELL = /bin/sh
YACC = bison -y
LEX = flex -I8
CC = gcc

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

UUENCODE = uue

LIBS =  -lfl

CPPFLAGS = 
LDFLAGS = 

MAKEINFO = makeinfo
TEXI2DVI = texi2dvi

# stuff for cflags

STDDEFS = -D_POSIX_SOURCE -DDOT_IS_LAST
INCDIR = -I. -I$(srcdir)

#
#  The following are the standard definitions.  For MINIX PC, you need to
#  comment these out and select one of the MINIX PC definition sets.
#  Other configuration defines are generated automatically.  See the 
#  README file for more details.
#
O=o
CFLAGS = -O $(INCDIR) $(STDDEFS) -g -O
LDFLAGS = 
#
# For the PC version of MINIX (K&R compiler), use the following lines.
# 
#O=s
#CFLAGS = -O $(INCDIR) $(STDDEFS) -g -O
#LDFLAGS = -i
#
# For the PC version of MINIX (ANSI compiler), use the following lines:
# 
#O=o
#CFLAGS = -m $(INCDIR) $(STDDEFS) -g -O
#LDFLAGS = -i
#
#
DISTFILES = COPYING Makefile.in Install bc.y bcdefs.h const.h version.h \
            execute.c global.c global.h load.c main.c number.c storage.c \
	    number.h proto.h scan.l util.c vfprintf.c README bc.1 sbc.y \
	    fix_libmath.h libmath.b configure configure.in config.h.in \
	    acconfig.h ChangeLog \
	    dc.1 dc.texinfo \
 	    dc-array.c dc-eval.c dc-misc.c dc-number.c dc-stack.c \
	    dc-string.c dc.h dc-proto.h dc-regdef.h dc-version.h \
	    install-sh
#
BCOFILES = scan.$O util.$O main.$O number.$O storage.$O load.$O execute.$O 
DCOFILES = dc-misc.$O dc-eval.$O dc-stack.$O dc-array.$O dc-string.$O \
	   dc-number.$O
#
SUBDIRS = Examples Test
#
EXTRAFILES = bc.c.dist scan.c.dist y.tab.h.dist libmath.h dc.info
#

all: bc dc dc.info

### targets required by GNU Coding standards ###

Makefile: Makefile.in config.status
	./config.status

#config.status: configure
#	$(srcdir)/configure --srcdir=$(srcdir) --no-create
#
#configure: configure.in
#	cd $(srcdir); autoconf

bc: $& config.h bc.$O $(BCOFILES) global.$O
	$(CC) $(LDFLAGS) -o bc bc.$O $(BCOFILES) global.$O $(LIBS)

dc: $(DCOFILES) number.o
	$(CC) $(LDFLAGS) -o dc $(DCOFILES) number.o $(LIBS)

sbc: sbc.$O $(BCOFILES) global.$O
	$(CC) -o sbc $(LDFLAGS) sbc.$O $(BCOFILES) global.$O $(LIBS)

config.h.in:
	autoheader

config.h:	config.h.in configure
	./configure

libmath.h: libmath.b
	$(MAKE) fbc
	./fbc -c libmath.b </dev/null >libmath.h
	./fix_libmath.h
	rm -f ./fbc

fbc: $(BCOFILES) bc.$O
	echo \"\" > libmath.h
	$(CC) -c $(CFLAGS) global.c
	$(CC) -o fbc $(LDFLAGS) bc.$O $(BCOFILES) global.$O $(LEXLIB)

install: installdirs bc libmath.b config.h
	rm -f $(bindir)/bc $(bindir)/dc
	$(INSTALL_PROGRAM) bc $(bindir)
	$(INSTALL_PROGRAM) dc $(bindir)
	chmod 555 $(bindir)/bc $(bindir)/dc
	if grep -s "define BC_MATH_FILE" config.h; \
	  then rm -f $(libdir)/libmath.b; \
	  $(INSTALL_DATA) $(srcdir)/libmath.b $(libdir); \
	  chmod 444 $(libdir)/libmath.b; \
	  else true; \
	fi
	$(INSTALL_DATA) $(srcdir)/bc.1 $(mandir)
	$(INSTALL_DATA) $(srcdir)/dc.1 $(mandir)
	$(INSTALL_DATA) $(srcdir)/dc.info $(infodir)

installdirs:
	-mkdir $(prefix)
	-mkdir $(bindir)
	-if grep -s "define BC_MATH_FILE" config.h; \
	  then mkdir $(libdir)
	  else true; \
	fi
	-mkdir $(mandir)
	-mkdir $(infodir)

uninstall: 
	rm -f $(bindir)/bc $(bindir)/dc
	if grep -s "define BC_MATH_FILE" config.h; \
	  then rm -f $(libdir)/libmath.b;
	  else true; \
	fi
	rm -f $(mandir)/bc1 $(mandir)/dc.1
	rm -f $(infodir)/dc.info

dist: $(EXTRAFILES)
	OF=`sed -n 's/.*\([0-9][0-9]*\.[0-9][0-9]*\).*/bc-\1/p' version.h` \
	; rm -rf $$OF \
	; mkdir $$OF \
	; chmod 777 $$OF \
	; for file in $(DISTFILES) ; do ln $(srcdir)/$$file $$OF/$$file; done \
	; for file in $(EXTRAFILES) ; do ln $$file $$OF/$$file; done \
	; for dir in $(SUBDIRS); do \
	   mkdir $$OF/$$dir ; chmod 777 $$OF/$$dir ; \
	   cp $(srcdir)/$$dir/* $$OF/$$dir; done \
	; tar cf $$OF.tar $$OF \
	; gzip $$OF.tar \
	; rm -rf $$OF

shars: dist
	OF=`sed -n 's/.*\([0-9][0-9]*\.[0-9][0-9]*\).*/bc-\1/p' version.h` \
	; $(UUENCODE) $$OF.tar.Z - > $$OF.uue \
	; split -775 $$OF.uue $$OF-u. \
	; for file in $$OF-u.a?; do shar $$file > $$file.sh; done

minixdist: $(EXTRAFILES)
	OF=`sed -n 's/.*\([0-9][0-9]*\.[0-9][0-9]*\).*/bc-\1/p' version.h` \
	; rm -rf $$OF \
	; mkdir $$OF \
	; cd $$OF \
	; for file in $(DISTFILES) $(EXTRAFILES); do ln ../$$file; done \
	; cd .. \
	; tar cf $$OF.tar $$OF \
	; gzip $$OF.tar \
	; rm -rf $$OF

minixshars: minixdist
	OF=`sed -n 's/.*\([0-9][0-9]*\.[0-9][0-9]*\).*/bc-\1/p' version.h` \
	; $(UUENCODE) $$OF.tar.Z - > $$OF.uue \
	; split -775 $$OF.uue $$OF-u. \
	; for file in $$OF-u.a?; do shar $$file > $$file.sh; done

csrshars: $(EXTRAFILES)
	findsrc -dy $(DISTFILES) $(EXTRAFILES) $(SUBDIRS) | \
	makekit -npart -oMANIFEST

bc.c.dist: bc.c
	cp bc.c bc.c.dist

scan.c.dist: scan.c
	cp scan.c scan.c.dist

y.tab.h.dist: y.tab.h
	cp y.tab.h y.tab.h.dist

extra:  $(EXTRAFILES)

# assumes that the extra files exist!
derived: 
	@if [ ! -f $(srcdir)/bc.c.dist ] ; then \
	  echo "You do not have a complete distribution.  Get a new copy or"; \
	  echo "see if you can make the derived files using lex and yacc."; \
	  exit 1; \
	fi
	cp $(srcdir)/bc.c.dist bc.c
	cp $(srcdir)/scan.c.dist scan.c
	cp $(srcdir)/y.tab.h.dist y.tab.h

clean:
	rm -f *.$O core ERRS *~ *.bak *.Z 

distclean: clean
	rm -f scan.c y.tab.h bc.c sbc.c bc sbc bc-dist* config.h  bc-*.* \
	dc part?? MANIFEST* config.h config.status config.log config.cache \
	Makefile *.aux *.cp *.dvi *.fn *.ky *.log *.pg *.toc *.tp *.vr

mostlyclean: distclean

realclean: distclean
	rm -rf *.dist configure libmath.h dc.info config.h.in

scan.c: scan.l
	$(LEX) scan.l
	mv lex.yy.c scan.c

y.tab.h bc.c: bc.y
	@echo "expect 1 shift/reduce conflict"
	$(YACC) -d bc.y
	mv y.tab.c bc.c

sbc.c: sbc.y
	$(YACC) -d sbc.y
	mv y.tab.c sbc.c

# Information files
info: dc.info
dvi: dc.dvi

#bc.info: bc.texinfo
#	$(MAKEINFO) -I$(srcdir) --no-split bc.texinfo
#
#bc.dvi: bc.texinfo
#	$(TEXI2DVI) $(srcdir)/bc.texinfo

dc.info: dc.texinfo
	$(MAKEINFO) -I$(srcdir) --no-split dc.texinfo

dc.dvi: dc.texinfo
	$(TEXI2DVI) $(srcdir)/dc.texinfo


global.$O:  bcdefs.h global.h libmath.h global.c
bc.$O:	    bcdefs.h global.h bc.y
execute.$O: bcdefs.h global.h execute.c
load.$O:    bcdefs.h global.h load.c
main.$O:    bcdefs.h global.h version.h main.c
number.$O:  bcdefs.h Makefile number.c
sbc.$O:     bcdefs.h global.h sbc.y
scan.$O:    bcdefs.h global.h y.tab.h scan.c
storage.$O: bcdefs.h global.h storage.c
util.$O:    bcdefs.h global.h version.h util.c

bcdefs.h: number.h const.h config.h
	touch bcdefs.h

dc-array.$O : dc-array.c config.h dc.h dc-proto.h dc-regdef.h 
dc-eval.$O : dc-eval.c config.h dc.h dc-proto.h 
dc-misc.$O : dc-misc.c config.h dc.h dc-proto.h dc-version.h 
dc-number.$O : dc-number.c config.h bcdefs.h const.h version.h number.h \
  proto.h global.h dc.h dc-proto.h 
dc-stack.$O : dc-stack.c config.h dc.h dc-proto.h dc-regdef.h 
dc-string.$O : dc-string.c config.h dc.h dc-proto.h 
number.$O : number.c bcdefs.h config.h const.h version.h number.h proto.h

## bc 1.06.95

=== debian/changelog ===
bc (1.06.95-9build1) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Dec 2014 08:18:26 -0800

bc (1.06.95-9) unstable; urgency=medium

  * Remove ancient unnecessary install-info dependencies.
  * Fix some formatting issues with bc man page, 07_bc_man.diff
    (Closes: #725898). Thanks to Bjarni Ingi Gislason for the patch.
  * Bump standards version to 3.9.5

 -- Ryan Kavanagh <rak@debian.org>  Sat, 14 Jun 2014 12:05:35 +0200

bc (1.06.95-8) unstable; urgency=low

  * Use makeinfo instead of obsoleted texi2html
  * Reintroduce patch reading ~/.dcrc file at dc start, 06_read_dcrc.diff
    (Closes: #582137) (LP: #918836)
  * Drop old-style 'Home page:' entries in long description
  * Added a gbp.conf to use pristine-tar and to sign tags

 -- Ryan Kavanagh <rak@debian.org>  Sun, 02 Jun 2013 20:43:53 -0400

bc (1.06.95-7) unstable; urgency=low

  * New maintainer (Closes: #705771)
  * Switch to Debian source format 3.0 (quilt)
  * Updated copyright file with missing licenses and holders. Now in DEP-5
    format.
  * Bump standards version to 3.9.4
  * Bump debhelper Build-Dependency to >= 9 and switch from old-style rules
    with manual calls to dh_* to modern style dh rules
  * Bump compat level to 9
  * Drop libreadline5-dev from Build-Depends, it no longer exists in unstable
  * Add a doc-base file for bc
  * Fix a typo in bc, 01_typo_in_bc.diff
  * Fix hyphens used as minus signs in manpages,
    02_hyphens_as_minus_in_man.diff
  * Fix array initialization bug, 03_array_initialize.diff (Closes: #671513,
    #586969)
  * Revert all inline patches and introduce them as logical quilt patches
    + Set the info dircategory to Math, 04_info_dircategory.diff
    + Notice read/write errors on input and output,
      05_notice_read_write_errors.diff
  * clean target now conforms to Debian Policy §4.9, "must undo any effects
    that the build target may have had [...]"
  * Added Vcs-Git/Vcs-Browser entries to debian/control
  * Reintroduce the missing 1.06.94-3.1 changelog entry
  * Get rid of postinst/postrm files, they were unneeded

 -- Ryan Kavanagh <rak@debian.org>  Fri, 24 May 2013 07:26:52 -0400

bc (1.06.95-6) unstable; urgency=low

  * QA upload.
  * Make bc Multi-Arch: foreign, so that it can satisfy (build-)dependencies
    from other architectures (thanks, Sune Vuorela and Wookey; closes:
    #681784, LP: #1098408).
  * Add build-arch and build-indep targets.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Apr 2013 17:15:31 +0100

bc (1.06.95-5) unstable; urgency=low

  * Orphaned

 -- John G. Hasler <jhasler@debian.org>  Fri, 19 Apr 2013 14:14:48 -0500

bc (1.06.95-4) unstable; urgency=low

  * Added #!/bin/sh to scripts.
    Closes: #683571: postinst and postrm are not valid scripts

 -- John G. Hasler <jhasler@debian.org>  Wed, 01 Aug 2012 17:42:42 -0500

bc (1.06.95-3) unstable; urgency=low

  * Applied patch from Pádraig Brady.
    Closes: #608255: bc uses uninitialized memory

  * Applied patch from Paul Dwerryhouse.
    Closes: #472250: please return support for .dcrc file
  
  * Applied patch from Ian Jackson.
    Closes: #488735: notice read and write errors on input and output
  
  * Generated bc.html and dc.html but something is still wrong.
  
  * Added homepage field to debian/control.
  
  * I can't see the problem with hyphens.
  
  * Fixed doc-base white space.
  
  * Added watch file.
  
  * I believe that the above changes deal with 558188.
    Closes: #558188: Changes made in 1.06.94-3.1 NMU have been lost
  
 -- John G. Hasler <jhasler@debian.org>  Fri, 22 Jun 2012 21:00:45 -0500

bc (1.06.95-2) unstable; urgency=low

  * Fixed errors in debian/rules that prevented info files from
    being correctly generated.

 -- John G. Hasler <jhasler@debian.org>  Thu, 15 Oct 2009 12:17:23 -0500
  

bc (1.06.95-1) unstable; urgency=low

  * New upstream release
    Closes: #538419: New bc upstream version 1.06.95
  
    Fixed libreadline build dependencies.
  
 -- John Hasler <jhasler@debian.org>  Sat, 03 Oct 2009 21:21:04 -0500

bc (1.06.94-3.1) unstable; urgency=low

  * Non-maintainer upload with John's permission.
  * Apply patch to restore the .dcrc config file (closes: #472250)
  * Merge patch from Ubuntu to notice read and write errors on
    input and output (closes: #488735)
  * Include the bc manual (HTML) in the bc binary package

  * Bump Standards Version to 3.8.1
  * Bump debhelper compatibility to 7
  * debian/rules: replace "dh_clean -k" with "dh_prep"
  * debian/control: Add homepage field
  * Fix hyphens in the bc and dc manpages
  * Add a watch file
  * debian/dc.doc-base: Remove leading whitespace
  * debian/dc.doc-base: Move to section Science/Mathematics

 -- Francois Marier <francois@debian.org>  Thu, 16 Apr 2009 10:23:39 +1200

bc (1.06.94-3) unstable; urgency=low

  * Added "-pbc" to dh_installdirs line for bc in debian/rules.
    Fixes build failure with "-j3".

 -- John Hasler <jhasler@debian.org>  Sun, 02 Dec 2007 14:46:56 -0600

bc (1.06.94-2) unstable; urgency=low

  * Uncommented dh_md5sums in debian/rules.
  
  * Corrected menu entries.

 -- John Hasler <jhasler@debian.org>  Fri, 05 Oct 2007 12:29:18 -0500

bc (1.06.94-1) unstable; urgency=low

  * New upstream release
  
    Code cleanup upstream has fixed these
    Closes: #357728: bc: Segfaults 
    Closes: #221781: dc: precision >= 1000000000 does not work 
    Closes: #429156: dc: segfaults when generating primes 
    Closes: #296232: dc directory' should print an error
    Closes: #301921: 'man bc' typos: "environent", "specifing"
  
  * Patched use_quit() in main.c to run rl_initialize().
    Closes: #287210: bc: Interrupt should reset the input line
  
  * BC_LINE_LENGTH=0 disables the multi-line feature.
    Closes: #245899: bc: BC_LINE_LENGTH=0 or similar for ``do never split''  
    should be added, or the manpage should be fixed
  
  * Upstream says this in correct POSIX behavior.


=== debian/control ===
Source: bc
Section: math
Priority: standard
Maintainer: Ryan Kavanagh <rak@debian.org>
Standards-Version: 3.9.5
Build-Depends: bison
 , debhelper (>= 9)
 , file
 , flex
 , libreadline-dev | libreadline6-dev
 , texinfo
Homepage: http://ftp.gnu.org/gnu/bc/
Vcs-Git: git://anonscm.debian.org/collab-maint/bc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bc.git

Package: bc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: GNU bc arbitrary precision calculator language
 GNU bc is an interactive algebraic language with arbitrary precision which
 follows the POSIX 1003.2 draft standard, with several extensions including
 multi-character variable names, an `else' statement and full Boolean 
 expressions.  GNU bc does not require the separate GNU dc program.

Package: dc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: GNU dc arbitrary precision reverse-polish calculator
 GNU dc is a reverse-polish desk calculator which supports unlimited 
 precision arithmetic.  It also allows you to define and call macros. 
 .
 A reverse-polish calculator stores numbers on a stack. Entering a number
 pushes it on the stack.  Arithmetic operations pop arguments off the 
 stack and push the results.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -D_POSIX_SOURCE -DDOT_IS_LAST -DDONTEXIT

# The following files get overwritten by the build process. We back them up
# first.
BACKUP_FILES = doc/bc.info \
	       doc/dc.info
BACKED_UP_FILES = $(BACKUP_FILES:%=%.debian-backup)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-readline

override_dh_auto_build: $(BACKED_UP_FILES)
	(cd doc && makeinfo --html --no-split --ifinfo bc.texi)
	(cd doc && makeinfo --html --no-split --ifinfo dc.texi)
	dh_auto_build

override_dh_auto_clean: restore
	dh_auto_clean

%.debian-backup:
	@# Back up automatically generated files so that we can restore them in
	@# the clean target, as required by Policy. We do this by copying the
	@# matching stem, foo, to foo.debian-backup.
	cp -f $* $@

restore:
	for file in $(BACKUP_FILES); do \
	    [ ! -f $${file}.debian-backup ] || mv $${file}.debian-backup $${file}; \
	done

.PHONY: restore

## bc 1.07.1

=== debian/changelog ===
bc (1.07.1-4) unstable; urgency=medium

  [ Gürkan Myczko ]
  * add d/clean so one can debuild several times (say with CC=clang)
    (Closes: #1043703)

  [ Ryan Kavanagh ]
  * Mark all patches as forwarded
  * wrap-and-sort packaging
  * Bump compat level to 13
  * Switch to gbp-pq
  * Fix implicit declarations in 05_notice_read_write_errors.diff that cause
    FTBFS (Closes: #1065375)
  * Bump standards version to 4.6.2, no changes required
  * Bump copyright years
  * Fix 04_info_dircategory.diff to actually set the info dircategory for dc
    to Math

 -- Ryan Kavanagh <rak@debian.org>  Wed, 13 Mar 2024 14:06:49 -0400

bc (1.07.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Ryan Kavanagh ]
  * drop unneeded phony target in rules
  * bump standards version to 4.6.0
  * bump copyright years
  * update homepage (Closes: #970615)
  * Set Rules-Requires-Root: no
  * Drop compat file in favour of debhelper-compat
  * Let gbp dch use meta tag information
  * Update watch file

 -- Ryan Kavanagh <rak@debian.org>  Wed, 01 Sep 2021 21:47:41 -0400

bc (1.07.1-2) unstable; urgency=medium

  * Fix circular dependency in Makefile, 08_no-make-circular-dependencies.diff
    Thanks: Steve Langasek (Closes: #889176)
  * Fix incorrect version mangling in watch file
  * Update Vcs-* fields to point to salsa
  * watch file now accesses ftp.gnu.org over https

 -- Ryan Kavanagh <rak@debian.org>  Thu, 22 Mar 2018 12:20:34 -0400

bc (1.07.1-1) unstable; urgency=medium

  * New upstream version 1.07.1
    + No longer crashes due to null pointer dereferencing in execute.c
      (Closes: #805372, #771382)
    + No longer prints an error message when interrupted (Closes: #442099)
  * Refreshed patches:
    + Drop 03_array_initialize.diff; applied upstream
  * Bump compat to 11 and debhelper version to >= 11
  * Bump standards version to 4.1.3
  * Make sure all licenses in copyright file have a unique name
  * Make Vcs-* URLs secure
  * Enable all hardening flags (Closes: #812703)
  * Simplify clean target
  * Added missing build-dependency on ed

 -- Ryan Kavanagh <rak@debian.org>  Wed, 03 Jan 2018 19:39:29 -0500

=== debian/control ===
Source: bc
Section: math
Priority: standard
Maintainer: Ryan Kavanagh <rak@debian.org>
Standards-Version: 4.6.2
Build-Depends:
 bison,
 debhelper-compat (= 13),
 ed,
 file,
 flex,
 libreadline-dev | libreadline6-dev,
 texinfo,
Homepage: https://www.gnu.org/software/bc/
Vcs-Git: https://salsa.debian.org/debian/bc.git
Vcs-Browser: https://salsa.debian.org/debian/bc
Rules-Requires-Root: no

Package: bc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: GNU bc arbitrary precision calculator language
 GNU bc is an interactive algebraic language with arbitrary precision which
 follows the POSIX 1003.2 draft standard, with several extensions including
 multi-character variable names, an `else' statement and full Boolean
 expressions.  GNU bc does not require the separate GNU dc program.

Package: dc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: GNU dc arbitrary precision reverse-polish calculator
 GNU dc is a reverse-polish desk calculator which supports unlimited
 precision arithmetic.  It also allows you to define and call macros.
 .
 A reverse-polish calculator stores numbers on a stack. Entering a number
 pushes it on the stack.  Arithmetic operations pop arguments off the
 stack and push the results.

=== debian/watch ===
version=4
    opts=pasv \
    https://ftp.gnu.org/pub/gnu/bc/bc-([0-9a-z.]+).tar.gz

## bc 1.07.1.1

=== debian/changelog ===
bc (1.07.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 4064436cbc08fc059a905311342931796a8a97aa']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 16:47:37 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS += -D_POSIX_SOURCE -DDOT_IS_LAST -DDONTEXIT

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-readline

override_dh_auto_build:
	(cd doc && makeinfo --html --no-split --ifinfo bc.texi)
	(cd doc && makeinfo --html --no-split --ifinfo dc.texi)
	dh_auto_build

.PHONY: restore
